All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap.sasmdx
Class Hierarchy

    com.sas.storage.olap.sasmdx.Hierarchy

All Implemented Interfaces:
  HierarchyInterface, MetadataEntityInterface

    @SASScope(value="ALL")
    public class Hierarchy

implements HierarchyInterface

Contains the client side implementation for com.sas.storage.olap.HierarchyInterface. This implementation uses the IOM/OLAP interfaces provided by the SAS OLAP server. There actually aren't any remote calls in this particular class. All remote metadata calls are made from within the MetadataInterface implementation.

Field Summary

Fields inherited from interface com.sas.storage.olap.HierarchyInterface
`FULLY_BALANCED_STRUCTURE, NETWORK_STRUCTURE, RAGGED_BALANCED_STRUCTURE, UNBALANCED_STRUCTURE, UNSPECIFIED_STRUCTURE`

Constructor Summary
`Hierarchy(MetadataInterface metadata, com.sas.iom.SASMDX.ISession _session, java.lang.String catalogName, java.lang.String schemaName, java.lang.String cubeName, java.lang.String uniqueDimensionName, java.lang.String name, java.lang.String uniqueName, java.lang.String label, int memberCount, java.lang.String defaultMemberName, java.lang.String allMemberName, java.lang.String description, int structure)`

Method Summary
`java.util.Date` | `getCreationDateTime()` Get the creation date of this object
`CubeInterface` | `getCube()` The the cube that this hierarchy belongs to
`MemberInterface` | `getDefaultMember()` Get the default memebr of this hierarchy
`java.lang.String` | `getDescription()` Return the description of hierarchy
`DimensionInterface` | `getDimension()` Get the diemnsion for this hierarchy
`Filter` | `getFilter()` Get the filter with the properties used to create this object.
`java.lang.String` | `getLabel()` Get the label for this hierarchy
`LevelInterface[]` | `getLevels()` Get the levels that belong to this hierarchy
`int` | `getMemberCount()` Get the number of memebrs that belong to this hierarchy
`MemberInterface[]` | `getMembers()` Get all the members that belong to this hierarchy.
`MetadataInterface` | `getMetadata()` Get the metadata object
`java.lang.String` | `getName()` Get the name of this hierarchy
`int` | `getStructure()` Get the structure indicating the type of this Hierarchy.
`MemberInterface` | `getTopMember()` Get the top member for this dimension
`MemberInterface[]` | `getTopMembers()` Returns member/s at the highest level of rollup in the hierarcy.
`java.lang.String` | `getUniqueName()` Get the unique name of this hierarchy
`java.util.Date` | `getUpdateDateTime()` Get the last update/modified date time for this object

Constructor Detail

### Hierarchy

    public Hierarchy(MetadataInterface metadata,
                     com.sas.iom.SASMDX.ISession _session,
                     java.lang.String catalogName,
                     java.lang.String schemaName,
                     java.lang.String cubeName,
                     java.lang.String uniqueDimensionName,
                     java.lang.String name,
                     java.lang.String uniqueName,
                     java.lang.String label,
                     int memberCount,
                     java.lang.String defaultMemberName,
                     java.lang.String allMemberName,
                     java.lang.String description,
                     int structure)
              throws OLAPException

Throws:
  `OLAPException`

Method Detail

### getName

    public java.lang.String getName()
                             throws OLAPException

  Get the name of this hierarchy

  Specified by:
    `getName` in interface `MetadataEntityInterface`
  Returns:
    name of the hierarchy
  Throws:
    `OLAPException`

### getLabel

    public java.lang.String getLabel()
                              throws OLAPException

  Get the label for this hierarchy

  Specified by:
    `getLabel` in interface `MetadataEntityInterface`
  Returns:
    label of this hierarchy
  Throws:
    `OLAPException`

### getUniqueName

    public java.lang.String getUniqueName()
                                   throws OLAPException

  Get the unique name of this hierarchy

  Specified by:
    `getUniqueName` in interface `MetadataEntityInterface`
  Returns:
    unique name of the hierarchy
  Throws:
    `OLAPException`

### getDescription

    public java.lang.String getDescription()
                                    throws OLAPException

  Return the description of hierarchy

  Specified by:
    `getDescription` in interface `MetadataEntityInterface`
  Returns:
    description of hierarchy
  Throws:
    `OLAPException`

### getStructure

    public int getStructure()

  Get the structure indicating the type of this Hierarchy. `HierarchyInterface.UNSPECIFIED_STRUCTURE` `HierarchyInterface.FULLY_BALANCED_STRUCTURE` `HierarchyInterface.RAGGED_BALANCED_STRUCTURE` `HierarchyInterface.UNBALANCED_STRUCTURE` `HierarchyInterface.NETWORK_STRUCTURE`

  Specified by:
    `getStructure` in interface `HierarchyInterface`
  Returns:
    type of structure for this hierarchy

### getDimension

    public DimensionInterface getDimension()
                                    throws OLAPException

  Get the diemnsion for this hierarchy

  Specified by:
    `getDimension` in interface `HierarchyInterface`
  Returns:
    dimension object
  Throws:
    `OLAPException` - if a database error occurs

### getMemberCount

    public int getMemberCount()
                       throws OLAPException

  Get the number of memebrs that belong to this hierarchy

  Specified by:
    `getMemberCount` in interface `HierarchyInterface`
  Returns:
    number of members
  Throws:
    `OLAPException` - if a database error occurs

### getDefaultMember

    public MemberInterface getDefaultMember()
                                     throws OLAPException

  Get the default memebr of this hierarchy

  Specified by:
    `getDefaultMember` in interface `HierarchyInterface`
  Returns:
    default member of this hierarchy
  Throws:
    `OLAPException` - if a database error occurs

### getTopMember

    public MemberInterface getTopMember()
                                 throws OLAPException

  Get the top member for this dimension

  Specified by:
    `getTopMember` in interface `HierarchyInterface`
  Returns:
    top member for this dimension
  Throws:
    `OLAPException` - if a database error occurs * @deprecated

### getTopMembers

    public MemberInterface[] getTopMembers()
                                    throws OLAPException

  Description copied from interface: `HierarchyInterface`
  Returns member/s at the highest level of rollup in the hierarcy. This can be different from the defaultMember.

  Specified by:
    `getTopMembers` in interface `HierarchyInterface`
  Returns:
    Array of members at the highest level of rollup in the hierarchy.
  Throws:
    `OLAPException` - if a database error occurs

### getLevels

    public LevelInterface[] getLevels()
                               throws OLAPException

  Get the levels that belong to this hierarchy

  Specified by:
    `getLevels` in interface `HierarchyInterface`
  Returns:
    the levels for this hierarchy
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    public Filter getFilter()
                     throws OLAPException

  Get the filter with the properties used to create this object.

  Specified by:
    `getFilter` in interface `HierarchyInterface`
  Returns:
    filter object
  Throws:
    `OLAPException` - if a database error occurs

### getMetadata

    public MetadataInterface getMetadata()
                                  throws OLAPException

  Get the metadata object

  Specified by:
    `getMetadata` in interface `MetadataEntityInterface`
  Returns:
    metadata
  Throws:
    `OLAPException` - if a database error occurs

### getCube

    public CubeInterface getCube()
                          throws OLAPException

  The the cube that this hierarchy belongs to

  Specified by:
    `getCube` in interface `HierarchyInterface`
  Returns:
    a cube object
  Throws:
    `OLAPException` - if a database error occurs

### getMembers

    public MemberInterface[] getMembers()
                                 throws OLAPException

  Description copied from interface: `HierarchyInterface`
  Get all the members that belong to this hierarchy.

  Specified by:
    `getMembers` in interface `HierarchyInterface`
  Returns:
    an array of MemberInterface objects that belong to this hierarchy
  Throws:
    `OLAPException` - if the database error occurs

### getCreationDateTime

    public java.util.Date getCreationDateTime()
                                       throws OLAPException

  Description copied from interface: `MetadataEntityInterface`
  Get the creation date of this object

  Specified by:
    `getCreationDateTime` in interface `MetadataEntityInterface`
  Returns:
    Date time when the object was created
  Throws:
    `OLAPException`

### getUpdateDateTime

    public java.util.Date getUpdateDateTime()
                                     throws OLAPException

  Description copied from interface: `MetadataEntityInterface`
  Get the last update/modified date time for this object

  Specified by:
    `getUpdateDateTime` in interface `MetadataEntityInterface`
  Returns:
    last update/modified date time of this object
  Throws:
    `OLAPException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.